Cyberduck Mountain Duck CLI

#7413 closed defect (fixed)

Opening "preferences" triggers immediate crash.

Reported by: hodephinitely Owned by: yla
Priority: normal Milestone: 4.4
Component: core Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

I'm unable to open the preferences window without a crash happening!

Change History (5)

comment:1 Changed on Aug 26, 2013 at 1:45:48 PM by dkocher

Which platform, Mac or Windows?

Last edited on Aug 26, 2013 at 1:52:32 PM by dkocher (previous) (diff)

comment:2 Changed on Aug 26, 2013 at 2:59:52 PM by hodephinitely

Windows 7. 64 bit.

comment:3 Changed on Aug 26, 2013 at 4:50:42 PM by dkocher

  • Owner set to yla
  • Platform set to Windows 7

comment:4 Changed on Aug 28, 2013 at 1:03:00 PM by dkocher

Top-level Exception
Type:        System.ArgumentException
Message:     Complex DataBinding accepts as a data source either an IList or an IListSource.
Source:      System.Windows.Forms
Stack Trace: at System.Windows.Forms.ListControl.set_DataSource(Object value)
  at System.Windows.Forms.ComboBox.set_DataSource(Object value)
  at Ch.Cyberduck.Ui.Winforms.PreferencesForm.PopulateSshTransfers(IList`1 transfers) in c:\workspace\cyberduck\source\ch\cyberduck\ui\winforms\PreferencesForm.cs:line 871
  at Ch.Cyberduck.Ui.Controller.PreferencesController.PopulateSshTransfers() in c:\workspace\cyberduck\source\ch\cyberduck\ui\controller\PreferencesController.cs:line 1180
  at Ch.Cyberduck.Ui.Controller.PreferencesController.Init() in c:\workspace\cyberduck\source\ch\cyberduck\ui\controller\PreferencesController.cs:line 959
  at Ch.Cyberduck.Ui.Controller.PreferencesController..ctor(IPreferencesView view) in c:\workspace\cyberduck\source\ch\cyberduck\ui\controller\PreferencesController.cs:line 59
  at Ch.Cyberduck.Ui.Controller.PreferencesController.get_Instance() in c:\workspace\cyberduck\source\ch\cyberduck\ui\controller\PreferencesController.cs:line 176
  at Ch.Cyberduck.Ui.Controller.BrowserController.View_ShowPreferences() in c:\workspace\cyberduck\source\ch\cyberduck\ui\controller\BrowserController.cs:line 1553
  at Ch.Cyberduck.Ui.Winforms.BrowserForm.<ConfigureEditCommands>b__b8(Object o, EventArgs eventArgs) in c:\workspace\cyberduck\source\ch\cyberduck\ui\winforms\BrowserForm.cs:line 1798
  at System.Windows.Forms.MenuItem.OnClick(EventArgs e)
  at System.Windows.Forms.MenuItem.MenuItemData.Execute()
  at System.Windows.Forms.Command.Invoke()
  at System.Windows.Forms.Command.DispatchID(Int32 id)
  at System.Windows.Forms.Control.WmCommand(Message& m)
  at System.Windows.Forms.Control.WndProc(Message& m)
  at System.Windows.Forms.ScrollableControl.WndProc(Message& m)
  at System.Windows.Forms.ContainerControl.WndProc(Message& m)
  at System.Windows.Forms.Form.WndProc(Message& m)
  at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
  at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
  at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

comment:5 Changed on Sep 6, 2013 at 1:31:16 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r12734.

Note: See TracTickets for help on using tickets.
swiss made software